/* ---------------------------------------------------------------------
File:	mytime.h
Date:	16.1.99
Description: This library contains macros for getting time using
  the routine from the specified software library. By default, time
  will be taken using the system routine gettimeofday().
----------------------------------------------------------------------- */

#define MICROSEC_PER_SEC 1.0e6

#include <sys/time.h>

/* --------------------------------------------------------------------
Macro: GETTIME
Description: Gets system time in a data struct of type timeval (defined
  in <sys/time.h> 
----------------------------------------------------------------------- */
#define GETTIME(tv) gettimeofday(&(tv), NULL)

/* --------------------------------------------------------------------
Macro: DIFTIME
Description: Compute the time in microsec between the time passing in
  the data structs tv2 and tv1. The result is giving in t (double).
----------------------------------------------------------------------- */
#define DIFTIME(tv2, tv1, t) t=(double)((tv2).tv_sec-(tv1).tv_sec)+  \
               (double)((tv2).tv_usec-(tv1).tv_usec) / MICROSEC_PER_SEC 

#define SEC2USEC(ts, tus) tus=(double)(ts)*MICROSEC_PER_SEC
